Package org.eclipse.net4j.util.ui.widgets

## Class ToolButton

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.swt.widgets.ToolBar
          - - org.eclipse.net4j.util.ui.widgets.ToolButton

- All Implemented Interfaces:
    `Drawable`

      public class ToolButton
      extends ToolBar

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ToolButton​(Composite parent, int style, Image image, boolean secondary)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSelectionListener​(SelectionListener listener)` |
    `protected void` | `checkSubclass()` |
    `boolean` | `getSelection()` |
    `ToolItem` | `getToolItem()` |
    `java.lang.String` | `getToolTipText()` |
    `void` | `removeSelectionListener​(SelectionListener listener)` |
    `void` | `setImage​(Image image)` |
    `void` | `setSelection​(boolean selected)` |
    `void` | `setToolTipText​(java.lang.String string)` |

    - ### Methods inherited from class org.eclipse.swt.widgets.ToolBar

      `getItem, getItem, getItemCount, getItems, getRowCount, indexOf, layout, setFont, setParent, setRedraw`

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setRegion, setSize, setSize, setTextDirection, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### ToolButton

          public ToolButton​(Composite parent,
                            int style,
                            Image image,
                            boolean secondary)

  - ### Method Detail

    - #### getToolItem

          public final ToolItem getToolItem()

    - #### setImage

          public void setImage​(Image image)

    - #### addSelectionListener

          public void addSelectionListener​(SelectionListener listener)

    - #### getSelection

          public boolean getSelection()

    - #### getToolTipText

          public java.lang.String getToolTipText()

      Overrides:
        `getToolTipText` in class `Control`

    - #### removeSelectionListener

          public void removeSelectionListener​(SelectionListener listener)

    - #### setSelection

          public void setSelection​(boolean selected)

    - #### setToolTipText

          public void setToolTipText​(java.lang.String string)

      Overrides:
        `setToolTipText` in class `Control`

    - #### checkSubclass

          protected void checkSubclass()

      Overrides:
        `checkSubclass` in class `ToolBar`